
#include "ylib.h"

#include <stdio.h>
#include <stdlib.h>

YDisplay *display;
YWindow *window;

int
main(int argc,
	 char **argv)
{
  int x, y;
  YWindow_id id;

  if (argc != 4)
	{
	  printf ("Usage: %s <id> <x> <y>\n", argv[0]);
	  exit(1);
	}

  id = atoi(argv[1]);
  x = atoi(argv[2]);
  y = atoi(argv[3]);

  display = YOpenDisplay(NULL);
  window = YGetWindowById(display, id);

  YMoveWindow(window, x, y);

  free(window);

  return 0;
}
