/* -*- Mode: C; tab-width: 4 -*-
   yfonts.h -- stuff dealing with fonts and font rendering libraries.
   Created: Chris Toshok <toshok@hungry.com>, 23-Sep-1997
*/

#ifndef _y_fonts_h
#define _y_fonts_h

#include "ytypes.h"

typedef struct YFont_struct YFont;
typedef struct YFontRenderer_struct YFontRenderer;

extern YFontRenderer *YGetFontRendererForFont(YFont *font);

extern const char *YGetFontRendererName(YFontRenderer *renderer);
extern const char *YGetFontRendererVendor(YFontRenderer *renderer);
extern const char *YGetFontRendererVersion(YFontRenderer *renderer);

#endif /* _y_fonts_h */
