/*--------------------------------------------------------------------------
  ----- File:        t1env.h
  ----- Author:      Rainer Menzner (rmz@neuroinformatik.ruhr-uni-bochum.de)
  ----- Date:        20/10/96
  ----- Description: This file is part of the t1-library. It contains
                     declarations and definitions for t1env.c
  ----- Copyright:   This program is copyright (c) Rainer Menzner, 1996. 
                     Everyone is allowed to use the library and to make
		     changes to the source code, provided that the authors
		     name is left where it appears and that changes are
		     metioned in some notice. The library must be
		     distributed including sources, you are not allowed to
		     take money for this.
		     The parseAFM-package is copyrighted by Adobe Systems
		     Inc.
		     The type1 rasterizer is copyrighted by IBM and the
		     X11-consortium.
  ----- Warranties:  Of course, there's NO WARRANTY OF ANY KIND :-)
  ----- Credits:     I want to thank IBM and the X11-consortium for making
                     their rasterizer freely available.
		     Also thanks to Piet Tutelaers for his ps2pk, from
		     which I took the rasterizer sources in a format
		     independ from X11.
                     Thanks to all people who make free software living!
--------------------------------------------------------------------------*/


#ifdef T1ENV_C

int ScanConfigFile( unsigned char **pfabenv_ptr, 
		    unsigned char **afmenv_ptr,
		    unsigned char **encenv_ptr,
		    unsigned char **fontdatabase_ptr);
unsigned char *Env_GetCompletePath( unsigned char *FileName,
				    unsigned char *env_ptr );

#else

extern int ScanConfigFile( unsigned char **pfabenv_ptr, 
			   unsigned char **afmenv_ptr,
			   unsigned char **encenv_ptr,
			   unsigned char **fontdatabase_ptr);
extern unsigned char *Env_GetCompletePath( unsigned char *FileName,
					   unsigned char *env_ptr );

#endif

