/* -*- Mode: C; tab-width: 4 -*-
   platform.h -- header file for platform specific functions
   Created: Luke Sheneman <sheneman@hungry.com>, 19-Oct-1997
 */

#ifndef _platform_h
#define _platform_h

#include <stdio.h>

#ifdef sun
#include <stdarg.h>
#endif

/* some prototypes */
#if defined(__osf1__)
int snprintf(char *, int, const char *, __va_list);
#elif defined(sun)
int snprintf(char *result, int length, const char *format, ...);
#endif

#endif /* _platform_h */
