/* -*- Mode: C; tab-width: 4 -*-
   wintree.h -- window tree data structures.
   Created: Chris Toshok <toshok@hungry.com>, 8-May-1997
 */
/* 
   Copyright (C) 1996, 1997 The Hungry Programmers.
   
   This file is part of The Y Window System.
   
   Y is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.
   
   Y is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.
   
   You should have received a copy of the GNU General Public License
   along with GLD; see the file COPYING.  If not, write to the Free
   Software Foundation, 59 Temple Place - Suite 330, Boston, MA
   02111-1307 , USA.
*/

#ifndef _y_wintree_h
#define _y_wintree_h

#include "ytypes.h"

/* initialize the microserver's window tree */
extern void Y_initWindowTree();

extern void Y_createRootWindow();

extern void Y_mapRootWindow();
extern YWindow *Y_getRootWindow();

#endif /* _y_wintree_h */
