/* -*- Mode: C; tab-width: 4 -*-
   Ydll.h -- Y interface to dynamic libraries.
   Created: Chris Toshok <toshok@hungry.com>, 30-Jun-1997
 */

#ifndef _y_dll_h
#define _y_dll_h

typedef struct YDLL_struct YDLL;

extern YDLL *YDLL_LoadLibrary(const char *lib_path);
extern void YDLL_UnloadLibrary(YDLL *dll);

extern void *YDLL_LookupSymbol(YDLL *dll, const char *symbol_name);

#endif /* _y_dll_h */
