/* -*- Mode: C; tab-width: 4 -*-
   client.h -- stuff dealing with the clients of the network server.
   Created: Chris Toshok <toshok@hungry.com>, 21-Sep-1997
 */
/* 
   Copyright (C) 1996, 1997 The Hungry Programmers.
   
   This file is part of The Y Window System.
   
   Y is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.
   
   Y is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.
   
   You should have received a copy of the GNU General Public License
   along with GLD; see the file COPYING.  If not, write to the Free
   Software Foundation, 59 Temple Place - Suite 330, Boston, MA
   02111-1307 , USA.
*/

#ifndef _y_client_h
#define _y_client_h

#include "ylib.h"

extern void ynet_addClient(int client);

extern void ynet_clientHasDied(int client);

extern void ynet_addClientsToFDSet(fd_set *fds);
extern void ynet_handleClientInputFromFDs(fd_set *fds);

#endif /* _y_client_h */
